package com.jiayue.ssi.mapper;

import com.jiayue.ssi.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 *  用户管理Mapper
 *
 * @author xsl
 * @since 2023-03-10
 */
@Mapper
public interface SysUserMapper extends BaseMapper<SysUser> {
    /**
     * 通过角色ID查找用户
     *
     * @param roleId 角色ID
     * @return 结果
     */
    public List<SysUser> selectUserByRole(String roleId);
}
